var theme;
(function($){
	var api,s;

	// Initialize the shortcode/api object
	theme = api = {};
	
	api.init = function(options){
		s = api.settings = $.extend({}, api.settings, options);
		
		api.option.init();
	};
	
	// theme options init functions
	api.option = {};
	
	api.option.init = function(){
		api.option.select();
		api.option.multiDropdown();
		api.option.superLink();
		api.option.uploader();
		api.option.range();
		api.option.measurement();
		api.option.validator();
		api.option.color();
		api.option.toggle();
		api.option.triToggle();
		api.option.switchDesc();
	};
	api.option.select = function(){
		$("select.chosen").each(function(){
			var $placeholder = jQuery(this).attr('data-placeholder');
			if($(this).parents('.postbox').is('.closed')){
				var chosen = $(this);
					
				chosen.parents('.postbox').children('.hndle,.handlediv').bind('clickoutside',function(e){
					if($placeholder!=undefined){
						chosen.data("placeholder", $placeholder).chosen();
					}else{
						chosen.chosen();
					}
				});
			}else{
				if($placeholder!=undefined){
					$(this).data("placeholder", $placeholder).chosen();
				}else{
					$(this).chosen();
				}
			}
		});
		
	};
	api.option.multiDropdown = function(){
		var wrap = $(".multidropdown-wrap");

		wrap.each(function() {
			var selects = $(this).children('select');
			var field = $(this).siblings('input:hidden');
			field.val("");
			var name = field.attr("name");
			selects.each(function(i) {
				if ($(this).val()) {
					if (field.val()) {
						field.val(field.val() + ',' + $(this).val());
					} else {
						field.val($(this).val());
					}
				}
				$(this).attr('id', name + '_' + i);
				$(this).attr('name', name + '_' + i);

				$(this).unbind('change').bind('change',function() {
					if ($(this).val() && selects.length == i + 1) {
						$(this).clone().val("").appendTo(wrap);
					} else if (!($(this).val())
							&& !(selects.length == i + 1)) {
						$(this).remove();
					}
					api.option.multiDropdown();
				});
			})
		});
	};
	
	api.option.superLink = function() {
		var wrap = $(".superlink-wrap");
		wrap.each(function(){
			var field = $(this).siblings('input:hidden');
			var selector = $(this).siblings('select');
			var name = field.attr('name');
			var items = $(this).children();
			selector.change(function(){
				items.hide();
				$("#"+name+"_"+$(this).val()).show();
				field.val('');
			});
			items.change(function(){
				field.val(selector.val()+'||'+$(this).val());
			})
		});
	};
	
	api.option.uploader = function(){
		$('.theme-upload-button').each(function(){
			
		});	
	};
	
	api.option.uploader.getImage = function(attachment_id,target){
		$.post(ajaxurl, {
			action:'theme-option-get-image',
			id: attachment_id, 
			cookie: encodeURIComponent(document.cookie)
		}, function(src){
			if ( src == '0' ) {
				alert( 'Could not use this image. Try a different attachment.' );
			} else {
				if($("#"+target).size()>0){
					$("#"+target).val(src);
					$("#"+target+"_preview").html('<a class="thickbox" href="'+src+'?"><img src="'+src+'"/></a>');
				}else{
					$(".shortcode_generator_iframe")[0].contentWindow.shortcode.getUploadedImage(target,src);
				}
			}
		});
	};
	
	api.option.range = function(){
		$(".range-input-wrap :range").rangeinput();
	};
	api.option.measurement = function(){
		var wrap = $(".measurement-wrap");
		wrap.each(function(){
			var field = $(this).find('input:hidden');
			var range = $(this).find('input:range');
			var unit = $(this).find('select');
			var name = field.attr('name');
			var items = $(this).children();
			range.change(function(){
				if($(this).val() != 0){
					field.val($(this).val()+unit.val());
				}else{
					field.val('');
				}
			});
			unit.change(function(){
				if(range.val() != 0){
					field.val(range.val()+$(this).val());
				}else{
					field.val('');
				}
			})
		});
	};
	
	
	api.option.validator = function(){
		$.tools.validator.addEffect("option", function(errors, event) {
			// add new ones
			$.each(errors, function(index, error) {
				var input = error.input;
				input.addClass("invalid");
				var msg = input.next('.validator-error').empty();
				$.each(error.messages, function(i, m) {
					$("<span/>").html(m).appendTo(msg);			
				});
			});
			
		// the effect does nothing when all inputs are valid	
		}, function(inputs)  {
			inputs.removeClass("invalid").each(function() {
				$(this).next('.validator-error').empty();
			});
		});
		$(".validator-wrap :input").validator({effect:'option'});
	};
	
	api.option.color = function(){
		$.fn.mColorPicker.init.showLogo = false;
		$.fn.mColorPicker.defaults.imageFolder = theme_admin_assets_uri + "/images/mColorPicker/";
	};
	
	api.option.toggle = function(){
		$('.toggle-button:checkbox').each(function(){
			if($(this).parents('.postbox').is('.closed')){
				var button = $(this);
					
				button.parents('.postbox').children('.hndle,.handlediv').bind('clickoutside',function(e){
					button.iphoneStyle();
				});
			}else{
				$(this).iphoneStyle();
			}
		});
	};
	
	api.option.triToggle = function(){
		$('select.tri-toggle-button').each(function(){
			if($(this).parents('.postbox').is('.closed')){
				var button = $(this);
				button.parents('.postbox').children('.hndle,.handlediv').bind('clickoutside',function(e){
					button.iphoneStyleTriToggle();
				});
			}else{
				$(this).iphoneStyleTriToggle();
			}
		});
	};
	
	api.option.switchDesc = function(){
		$('.meta-box-item a.switch').click(function(event){
			$(this).parent().siblings('.description').toggle();
			event.preventDefault();
		});
	};
	
	api.option.getVal = function(name){
		var target = jQuery('[name="'+name+'"]');
		if(target.size() == 0){
			target = jQuery('[name="'+name+'[]"]');
		}
		if(target.is('.toggle-button')){
			if(target.is(':checked')){
				return true;
			}else{
				return false;
			}
		}
		if(target.is('.tri-toggle-button')){
			switch(target.val()){
				case 'true':
					return true;
				case 'false':
					return false;
				case 'default':
					return '';
			}
		}
		return target.val();
	};
})(jQuery);