/*
 * USAGE
 *
 * Attach the plugin to an element
 * $('#some').pluginName({'someOption': 'someValue'});
 *
 * Call a public method
 * $('#some').data('pluginName').somePublicMethod();
 *
 * Get a setting value
 * $('#some').data('pluginName').settings.someOption;
 *
 */
(function ($) {
	/**
	 *
	 * This class does something
	 * @class pluginName
	 * @param {Array} element Array of HTML elements to process
	 * @param {Object} options Plugin configuration
	 *
	 */
	$.pluginName = function (element, options) {
		/* To avoid confusion, we give @this a name */
		var self = this;

		self.settings = {};

		var $element = $(element),
			element = element;
			
		$.extend(self, {
		
			/**
			 * Initialize the plugin
			 */
			init : function () { 
				/* Extends options */
				self.settings = $.extend({}, $.pluginName.defaults, options);
				
				/* CODE GOES HERE */
			},
			
			/**
			 * public function
			 */
			getElement : function() {
				return $element;
			}
			
		});
		
		/**
		 * private function
		 */
		var private = function () {
			/* CODE GOES HERE */
		};

		/* Run the plugin */
		self.init();
		
		//body event
		$(document.body).bind("click",function(e){
			
		});
	};
	
	$.pluginName.defaults = {
		someOption: 'someValue'
	};
	$.fn.pluginName = function (options) {
		return this.each(function () {
			var $this = $(this);
			if ($this.data('pluginName') === undefined) {
				var pluginName = new $.pluginName(this, options);

				/* Attach the plugin instance to the element */
				$this.data('pluginName', pluginName);
			}

		});
	};

})(jQuery);